let data = {
  withData (param) {
    return param < 10 ? "0" + param : "" + param;
  },
  getLoopArray (start, end) {
		let that = this;
    var start = start || 0;
    var end = end || 1;
    var array = [];
    for (var i = start; i <= end; i++) {
      array.push(that.withData(i));
    }
    return array;
  },
  getMonthDay (year, month) {
    year = year.replace("年", "");
    month = month.replace("月", "");
    var flag = year % 400 == 0 || (year % 4 == 0 && year % 100 != 0),
      array = null;
    switch (month) {
      case "01":
      case "03":
      case "05":
      case "07":
      case "08":
      case "10":
      case "12":
        array = this.getLoopArray(1, 31);
        break;
      case "04":
      case "06":
      case "09":
      case "11":
        array = this.getLoopArray(1, 30);
        break;
      case "02":
        array = flag ? this.getLoopArray(1, 29) : this.getLoopArray(1, 28);
        break;
      default:
        array = "月份格式不正确，请重新输入！";
    }
    return array;
  },
  getNewDateArry () {
    //如果dateTimePicker的date不可能为空，此处可以省略
    // 当前时间的处理
    var newDate = new Date();
    var year = this.withData(newDate.getFullYear()),
      mont = this.withData(newDate.getMonth() + 1),
      date = this.withData(newDate.getDate()),
      hour = this.withData(newDate.getHours()),
      minu = this.withData(newDate.getMinutes()),
      seco = this.withData(newDate.getSeconds());

    return [year, mont, date, hour, minu];
  },
  getcurrent (date) {

    //  wx.getSystemInfo({
    //   success: function (res) {
    //     console.log(res);
    //      if(res.platform == "devtools"){
    //      }
    //   }
    // })
    // date.replace(/\-/g,"/")
    // console.log(date.replace(/\-/g,"/"))
    var d = new Date(date.replace(/\-/g, "/"));
    var year = this.withData(d.getFullYear()),
      month = this.withData(d.getMonth() + 1),
      dat = this.withData(d.getDate()),
      hour = this.withData(d.getHours()),
      minu = this.withData(d.getMinutes()),
      seco = this.withData(d.getSeconds());

    return [year, month, dat, hour, minu];
  }, 
  dateTimePicker (startYear, endYear, date, isNoTime) {
    var datearr = [];

    // console.log(date);
    // console.log("获取date 74 ");
    // console.log(getcurrent(date));

    if (date) {
      datearr = getcurrent(date);
    }
    // console.log(datearr)
    // 返回默认显示的数组和联动数组的声明
    var dateTime = [],
      dateTimeArray = [[], [], [], []];
    var start = startYear || 2020;
    var end = endYear || 2025;
    // 默认开始显示数据
    var defaultDate = date ? datearr : this.getNewDateArry();

    // console.log("datearr")
    // console.log(datearr)
    // console.log(getNewDateArry());
    //  console.log(defaultDate)

    //  console.log("0999999");
    //  console.log(defaultDate[0], defaultDate[1])
    // 处理联动列表数据
    /*年月日 时分*/
    dateTimeArray[0] = this.getLoopArray(start, end);
    dateTimeArray[1] = this.getLoopArray(1, 12);
    dateTimeArray[2] = this.getMonthDay(defaultDate[0], defaultDate[1]);
    if (isNoTime != "noTime") {
      dateTimeArray[3] = ["06:00", "06:30", "07:00", "07:30", "08:00", "08:30", "09:00", "09:30", "10:00", "10:30", "11:00", "11:30", "12:00", "12:30", "13:00", "13:30", "14:00", "14:30", "15:00", "15:30", "16:00", "16:30", "17:00", "17:30", "18:00", "18:30", "19:00", "19:30"];
    }

    dateTimeArray.forEach((current, index) => {
      // console.log(current);
      // console.log(index);
      // console.log(defaultDate[index]);
      // console.log(current.indexOf(defaultDate[index]));
      if (index != 3) {
        dateTime.push(current.indexOf(defaultDate[index]));
      } else {
        if (defaultDate[3] != "") {
          dateTime.push(dateTimeArray[3].indexOf(defaultDate[3] + ":" + defaultDate[4]));
        } else {
          dateTime.push(12);
        }
      }
    });
    return {
      dateTimeArray: dateTimeArray,
      dateTime: dateTime,
    };
  }
}
export default data
